%define upstream_name	 DBI-Shell
%define upstream_version 11.98

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interactive command shell for the DBI 
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TL/TLOWERY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir) >= 0.500.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.170.0
BuildRequires: perl(IO::Interactive)
BuildRequires: perl(IO::Tee)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(Text::CSV_XS)
BuildRequires: perl(Text::Reform)
BuildArch:  noarch

%description
The DBI::Shell module (and dbish command, if installed) provide a simple but
effective command line interface for the Perl DBI module.

DBI::Shell is very new, very experimental and very subject to change. Your
mileage will vary. Interfaces will change with each release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README ToDo
find lib -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/dbish
%{_mandir}/*/*
%{perl_vendorlib}/DBI

%changelog
* Sat Aug 24 2024 tv <tv> 11.980.0-1.mga10
+ Revision: 2090887
- update to 11.98

* Mon Mar 21 2022 umeabot <umeabot> 11.970.0-2.mga9
+ Revision: 1813128
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 tv <tv> 11.970.0-1.mga8
+ Revision: 1617398
- update to 11.97

* Wed Feb 12 2020 umeabot <umeabot> 11.950.0-10.mga8
+ Revision: 1493896
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 11.950.0-9.mga7
+ Revision: 1267044
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 11.950.0-8.mga6
+ Revision: 1025438
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 11.950.0-7.mga6
+ Revision: 932789
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 11.950.0-6.mga5
+ Revision: 749171
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 11.950.0-5.mga5
+ Revision: 684099
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 11.950.0-4.mga4
+ Revision: 510436
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 11.950.0-3.mga3
+ Revision: 365061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 11.950.0-2.mga1
+ Revision: 32736
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 11.950.0-1.mga1
+ Revision: 30044
- mageia rebuild
- imported package perl-DBI-Shell

